Pre-release — content may change.

Groups

Show a group

GET
/groups/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Group UUID.

Query Parameters

include?string

Comma-separated list of relationships to include. Allowed values are resource-specific; consult the operation for the allowlist.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/groups/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "groups",    "attributes": {      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",      "name": "string",      "name_en": "string",      "name_fr": "string",      "name_es": "string",      "description": "string",      "description_en": "string",      "description_fr": "string",      "description_es": "string",      "external_id": "string",      "type": "string",      "type_external_id": "string",      "slug": "string",      "start_date": "2019-08-24",      "end_date": "2019-08-24",      "identifying_number": 0,      "data": {},      "active": true,      "active_member_count": 0,      "tags": [        "string"      ],      "custom_data_field": {},      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "relationships": {      "parent_group": {        "data": {          "type": "groups",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/parent_group",          "related": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/parent_group"        }      },      "organization": {        "data": {          "type": "organizations",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/organization",          "related": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/organization"        }      },      "web_address": {        "data": {          "type": "web_addresses",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/web_address",          "related": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/web_address"        }      },      "address": {        "data": {          "type": "addresses",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/address",          "related": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/address"        }      },      "administrators": {        "data": [          {            "type": "people",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/administrators",          "related": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/administrators"        }      },      "service_identities": {        "data": [          {            "type": "service_identities",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/service_identities",          "related": "/groups/7247ad7d-9275-454b-9e3a-0570e403739e/service_identities"        }      }    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}